Subject: bug#6430: Emacs WINDOWS truncates exit status of processes to 8 bits

From: Óscar Fuentes <[email-masked]>
Date: Wed, 15 Jun 2016 20:22:25 +0200

Eli Zaretskii <[email-masked]> writes:

>> When using --with-wide-int (or when running on Windows 64bits) we have
>> the full 32 bits, right?
>
> No.  The 2 bits are reserved by Windows, not by Emacs integer's
> representation.  To see that in action, interrupt a program with
> Ctrl-C and look at the exit status: you will see 0xC000013A; the
> 0xC0000000 bits are the reserved ones.  (There are more values for
> other fatal exit reasons, but all of them set those 2 bits.)

I thought that the limitation you referred to was about how many bits
Emacs has for representing integers on 32 bit platforms. The upper 2
bits reserved by Windows is an integral part of the exit code. A process
can return any value on the 32 bit range.